%global gem_name gli
%global rubyabi 1.9.1

%if 0%{?el6}%{?fc16}
%global rubyabi 1.8
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%endif

Summary: Git-Like Interface Command Line Parser for Ruby
Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/davetron5000/gli
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems

%if 0%{?el6}%{?fc16}
BuildRequires: rubygems
%else
BuildRequires: rubygems-devel
%endif

BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
DSL you can use to create a command line interface like git, gem or svn, in
that the first argument is a command, and there are global and command specific
flags.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}
mv %{buildroot}%{gem_dir}/bin/ %{buildroot}%{_bindir}

%check

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%{gem_instdir}/bin
%{_bindir}/%{gem_name}


%files doc
%{gem_dir}/doc/%{gem_name}-%{version}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/gli.rdoc

%changelog
* Fri Apr 27 2012 Matt Wagner <matt.wagner@redhat.com> - 1.6.0-1
- Initial package
